Returns the coding type used for output compression

- « zlib_encode

- DeflateContext »

- PHP Manual
- Zlib Functions
- Returns the coding type used for output compression

# zlib_get_coding_type

(PHP 4 >= 4.3.2, PHP 5, PHP 7, PHP 8)

zlib_get_coding_type — Returns the coding type used for output compression

### Description

zlib_get_coding_type(): string|false

Returns the coding type used for output compression.

### Parameters

This function has no parameters.

### Return Values

Possible return values are `gzip`, `deflate`, or `false`.

### See Also

- The zlib.output_compression directive